package ex.ws {
	import org.gamina.srv.BaseSockClient;
	import org.gamina.api.logic.VO;

	/**
	 * Assumes you start webSocket server
	 */
	public class Ws {
		protected var wss : BaseSockClient;

		public function Ws() {
			wss = new BaseSockClient();
		
			//1 connect
			wss.initConnect('localhost', 8787, 'vic', onConn);
		
			wss.msgSignal.add(onMsg);	
		}
		
		protected function onConn():void {
			var msg:VO = new VO();
			msg.set('', 'Hi server');
			wss.send(msg);
		}

		protected function onMsg(res:Array) : void {
		   trace(res);
		}
		
		
		
	}
}